<form [formGroup]="productForm" (ngSubmit)="onReactiveFormSubmit()" novalidate>
    <div class="modal-header">
        <h4 class="modal-title">เพิ่มสินค้า</h4>
        <button type="button" class="close" aria-label="Close" (click)="close()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="w-100 text-center">
            <img class="avatar" (click)="change_picture()"
                src="http://www.suzukainternational.co.th/wp-content/uploads/2015/07/ECES-2-300x300.jpg"
                [src]="para.p_img">
            <!-- <a class="change_img" (click)="change_picture()">
                <i class="fa fa-camera"></i>
            </a> -->
            <input type="file" style="display: none;" #file (change)="file_change($event)">
        </div>
        <fieldset class="form-group mt-3" formGroupName="p_name">
            <label for="p_name">ชื่อสินค้า (th) </label>
            <input type="text" formControlName="th" name="p_nameth" class="form-control round">
            <label for="p_name">ชื่อสินค้า (en)</label>
            <input type="text" formControlName="en" name="p_nameen" class="form-control round">
            <!-- <small class="form-text text-muted danger"
                *ngIf="!productForm.get('p_name').valid && (productForm.get('p_name').dirty || productForm.get('p_name').touched)">กรุณากรอกผู้ใช้งานให้ถูกต้อง</small> -->
        </fieldset>
        <fieldset class="form-group" formGroupName="how_to_use">
            <label for="password">วิธีใช้งาน (th)</label>
            <ckeditor class="myclass" id="detailth" formControlName="th" [config]="editorConfig" [editor]="Editor"></ckeditor>
            <!-- <textarea class="form-control" formControlName="th" rows="5"></textarea> -->
            <label for="password">วิธีใช้งาน (en)</label>
            <ckeditor class="myclass" id="detailen" formControlName="en" [config]="editorConfig" [editor]="Editor"></ckeditor>
            <!-- <textarea class="form-control" formControlName="en" rows="5"></textarea> -->
        </fieldset>
        <fieldset class="form-group" formGroupName="default_price">
            <label for="price" class="newF">ราคาต่อคิว (บาท)</label>
            <input type="text" formControlName="price" name="price" class="form-control newT round">
            <label for="diff" class="newF">ราคาขนส่งต่อเทียว (รถโม่เล็ก)</label>
            <input type="text" formControlName="diff_sm" name="diff_sm" class="form-control newT round">.
            <label for="diff" class="newF">ราคาขนส่งต่อเทียว (รถโม่ใหญ่)</label>
            <input type="text" formControlName="diff_lg" name="diff_lg" class="form-control newT round">

        </fieldset>
        <fieldset formGroupName="show">
            <div>
                <label for="price" class="newF">ลำดับการแสดง</label>
                <input type="number" formControlName="sort" name="sort" class="form-control newT round">
            </div>
            <div>
                <input formControlName="show" type="checkbox">
                แสดงในรายการสินค้า
            </div>
        </fieldset>
        <!-- <fieldset class="form-group">
            <label for="name">ชื่อ - นามสกุล</label>
            <input type="text" id="name"
                [ngClass]="{'invalid':!productForm.get('name').valid && (productForm.get('name').dirty || productForm.get('name').touched)}"
                formControlName="name" name="name" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!productForm.get('name').valid && (productForm.get('name').dirty || productForm.get('name').touched)">กรุณากรอก
                ชื่อ - นามสกุล ให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="email">อีเมล์</label>
            <input type="email" id="email"
                [ngClass]="{'invalid':!productForm.get('email').valid && (productForm.get('email').dirty || productForm.get('email').touched)}"
                formControlName="email" name="email" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!productForm.get('email').valid && (productForm.get('email').dirty || productForm.get('email').touched)">กรุณากรอกอีเมล์ให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="tel">เบอร์โทรศัพท์</label>
            <input type="text" id="phone"
                [ngClass]="{'invalid':!productForm.get('phone').valid && (productForm.get('phone').dirty || productForm.get('phone').touched)}"
                formControlName="phone" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!productForm.get('phone').valid && (productForm.get('phone').dirty || productForm.get('phone').touched)">กรุณากรอกเบอร์โทรศัพท์ให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="gender">เพศ</label>
            <select id="gender" name="gender" formControlName="gender" class="form-control round">
                <option selected value="m">ชาย</option>
                <option value="f">หญิง</option>
            </select>
        </fieldset>
        <fieldset class="form-group">
            <label for="type">ประเภทผู้ใช้งาน</label>
            <select id="type" name="type" formControlName="type" class="form-control round">
                <option selected value="1">Admin</option>
                <option value="2">User</option>
                <option value="3">Accounting</option>
            </select>
        </fieldset> -->
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-raised" (click)="close()">ปิดออก</button>
        <button type="submit" class="btn btn-success mr-2 btn-raised ">บันทึก</button>
    </div>
</form>